Unrar /glibc

Installing, Configuring, Troubleshooting server daemons such as Web and Mail
Post Reply
just0
Posts: 1
Joined: 2008/09/02 19:47:18

Unrar /glibc

Post by just0 » 2008/09/02 20:53:47

Hello
i have tried to install rar and it didnt work:
[root@server ~]# rar
rar: /lib/tls/libc.so.6: version `GLIBC_2.4' not found (required by rar)

then tried to install glibc:
root@server ~]# yum install glibc*
Invalid value in repo config for atrpms::gpgcheck
Repository update is listed more than once in the configuration
Repository contrib is listed more than once in the configuration
Repository centosplus is listed more than once in the configuration
Repository addons is listed more than once in the configuration
Repository extras is listed more than once in the configuration
Repository kbs-CentOS-Extras is listed more than once in the configuration
Repository kbs-CentOS-Misc-Testing is listed more than once in the configuration
Repository kbs-CentOS-Misc is listed more than once in the configuration
Loading "fastestmirror" plugin
Setting up Install Process
Setting up repositories
kbs-CentOS-Extras 100% |=========================| 951 B 00:00
update 100% |=========================| 951 B 00:00
contrib 100% |=========================| 951 B 00:00
extras 100% |=========================| 1.1 kB 00:00
base 100% |=========================| 1.1 kB 00:00
centosplus 100% |=========================| 951 B 00:00
addons 100% |=========================| 951 B 00:00
Loading mirror speeds from cached hostfile
Reading repository metadata in from local files
Parsing package install arguments
Cannot open file: glibc-2.5-24.src.rpm. Skipping.
error: rpmts_HdrFromFdno: headerRead failed: hdr blob(149025): BAD, read returned 11224
Cannot open file: glibc-2.5-24.x86_64.rpm. Skipping.
No Match for argument: glibc-2.5-24.x86_64.rpm.1
Examining glibc-2.8.90-12.i686.rpm: glibc - 2.8.90-12.i686
Marking glibc-2.8.90-12.i686.rpm as an update to glibc - 2.3.4-2.39.i686
No Match for argument: glibc-2.8.90-12.i686.rpm.html
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package glibc.i686 0:2.8.90-12 set to be updated
--> Running transaction check
--> Processing Dependency: glibc-common = 2.8.90-12 for package: glibc
--> Processing Dependency: glibc = 2.3.4-2.39 for package: glibc-devel
--> Processing Conflict: glibc-common conflicts glibc > 2.3.4
--> Processing Dependency: glibc = 2.3.4-2.39 for package: glibc-utils
--> Processing Dependency: glibc = 2.3.4-2.39 for package: glibc-headers
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package glibc.i386 0:2.3.4-2.39 set to be updated
--> Running transaction check
--> Processing Dependency: glibc-common = 2.8.90-12 for package: glibc
--> Processing Conflict: glibc-common conflicts glibc > 2.3.4
--> Finished Dependency Resolution
Error: Missing Dependency: glibc-common = 2.8.90-12 is needed by package glibc
Error: glibc-common conflicts with glibc > 2.3.4
[root@server ~]#

then tried to install rpm:

[root@server ~]# rpm -i glibc-2.8.90-12.i686.rpm
error: Failed dependencies:
glibc-common = 2.8.90-12 is needed by glibc-2.8.90-12.i686
glibc > 2.3.4 conflicts with glibc-common-2.3.4-2.39.i386




any help please? :-(

gerald_clark
Posts: 10642
Joined: 2005/08/05 15:19:54
Location: Northern Illinois, USA

Unrar /glibc

Post by gerald_clark » 2008/09/03 14:01:21

How did you install rar?

Post Reply

Return to “CentOS 4 - Server Support”